Reader : t_rc ->
Arg Queue : String,
    ExtMsgProc : < String >

...


If Lines( Queue ) then
 - Reader Queue ExtMsgProc                                                     /* Tail Recursion */
Else
 /